HttpRequest::setCookies
HttpRequest::setMethod
The HttpRequest
PHP Manual

# HttpRequest::setHeaders

(PECL pecl_http:0.12.0-1.5.5)

HttpRequest::setHeaders — Set headers

### Description

public bool HttpRequest::setHeaders ([ array `$headers` ] )

Set request header name/value pairs.

### Parameters

`headers`

  an associative array as parameter containing header name/value pairs; if empty or omitted, all previously set headers will be unset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setCookies
HttpRequest::setMethod
The HttpRequest
PHP Manual